Skip to content

Get client history ​

GET
/v1/clients/{requested_client_id}/history

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

requested_client_id*

Client ID

Type
string
Required

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1

Responses​

OK

application/json
JSON
{
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
},
  
"clients": [
  
  
{
  
  
  
"version": 1,
  
  
  
"created": null,
  
  
  
"updated": null,
  
  
  
"deleted": null,
  
  
  
"created_by": null,
  
  
  
"updated_by": null,
  
  
  
"deleted_by": null,
  
  
  
"metadata": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"client_id": null,
  
  
  
"distributor_id": null,
  
  
  
"inactive_since": null,
  
  
  
"client": {
  
  
  
  
"version": 2,
  
  
  
  
"created": null,
  
  
  
  
"updated": null,
  
  
  
  
"deleted": null,
  
  
  
  
"created_by": null,
  
  
  
  
"updated_by": null,
  
  
  
  
"deleted_by": null,
  
  
  
  
"metadata": {
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
},
  
  
  
  
"email": "string",
  
  
  
  
"scope": "string",
  
  
  
  
"label": "string",
  
  
  
  
"distributor_id": null,
  
  
  
  
"language": null,
  
  
  
  
"client_status": null,
  
  
  
  
"client_id": null,
  
  
  
  
"roles": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"available_roles": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"secret": null,
  
  
  
  
"distributor_name": null,
  
  
  
  
"active_until": null
  
  
  
}
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​